# General

- [A simple latex.template with comments](https://gist.github.com/1017790) (MichaelT)
- [LaTeX template that removes "Figure #" automatic labels from caption](https://gist.github.com/1366514) (rwst quoting jgm)
- [Customizing the appearance of pandoc tables with booktabs](https://gist.github.com/jlduran/7786752) (requires 1.12.2)

# Everyday

- [Eisvogel: A LaTeX template for lecture notes and exercises with a focus on computer science](https://github.com/Wandmalfarbe/pandoc-latex-template)
- [A simple letter template for Pandoc](https://github.com/aaronwolen/pandoc-letter)
- [Template for making Tufte-style handouts](https://github.com/wcaleb/pandoc-templates/blob/master/handout.tex)
- [The Markdown Resume](https://github.com/mszep/pandoc_resume)
- [PDF slides and handouts using Pandoc and Beamer](https://gist.github.com/lmullen/c3d4c7883f081ed8692a)

# Professional/Academic

- [A template for creating a PhD thesis in markdown + pandoc](https://github.com/chiakaivalya/thesis-markdown-pandoc)
- [Alternative template for creating a PhD thesis in markdown + pandoc](https://github.com/tompollard/phd_thesis_markdown)
- [Simple example on how to write a thesis in markdown with Pandoc](https://github.com/mabl/pandoc-thesis)
- [Boilerplate for writing a paper with Markdown/Latex and Pandoc](https://github.com/davecap/markdown-latex-boilerplate)
- [A sound and versatile Pandoc LaTeX boilerplate to produce academic books using modular Markdown files featuring KOMA-Script and BibLaTeX
](https://github.com/qualiacode/arabica)
- [md2latex](https://bitbucket.org/zuline/md2latex) is a collection of templates and scripts which are designed to allow you to write in APA 6 style using Markdown and to convert to APA 6 Style in LaTeX.
- [Pandoc Project Boilerplate](https://github.com/juh2/pandoc-project-boilerplate) This is the boilerplate to produce a book and an ebook with Pandoc.
- [A skeleton template and generator for creating academic papers and targeting common formats, with SVG support.](https://github.com/jbn/paper.git)
- [Lecture material: PDF slides and HTML/EPUB handouts using Pandoc and Beamer](https://github.com/cagix/pandoc-lecture)
- [Pandoc Journal Templates](https://github.com/sachsmc/pandoc-journal-templates) - github repository with journal templates for several major journals (incl. JASA, TAS, JBES, JCGS, SBP, Technometrics, Biometrical Journal, Biometrics, Biometrika, Biostatistics, AOAS, AOP, AAP, AOS, SSY, Journal of Statistical Software, Statistics in Medicine, and The R Journal)
- [A template and makefile for generating MLA-formatted PDFs](https://github.com/shushcat/mla_paper_template)

# E-books

- [Pandoc Markdown ebook template](https://github.com/evangoer/pandoc-ebook-template) (EPub, html and PDF)
- [Pandoc e-book generation script](https://github.com/adunning/pandoc-ebook) (HTML/EPUB/DOCX/PDF)
- [Opening Science](https://github.com/openingscience/book), an example of using Pandoc to create both a printed and electronic book with academic citations (see also the [blog post by Martin Fenner](http://blog.martinfenner.org/2013/12/05/opening-science---the-book/))
- [Advanced R Programming](https://github.com/hadley/adv-r/), combining pandoc with Jekyll and knitr
- [Simple project template for html, pdf and epub pandoc ebooks](https://github.com/wikiti/pandoc-book-template)
- [Customizing pandoc for GitHub style markdown](https://learnbyexample.github.io/tutorial/ebook-generation/customizing-pandoc/) (PDF/EPUB)

# HTML

- [Bootstrap4 Template](https://github.com/ashki23/pandoc-bootstrap): A Bootstrap 4 template with table of contents
- [https://github.com/tonyblundell/pandoc-bootstrap-template](https://github.com/tonyblundell/pandoc-bootstrap-template) A bootstrap template.
- [https://github.com/diversen/pandoc-bootstrap-adaptive-template](https://github.com/diversen/pandoc-bootstrap-adaptive-template). A bootstrap adaptive template with a sticky accordion menu.
- [https://github.com/diversen/pandoc-uikit](https://github.com/diversen/pandoc-uikit). A pandoc UIKIT adaptive template with a sticky accordion menu.
- [mindoc](https://github.com/bitfragment/mindoc): minimal template producing a HTML document with responsive styling and section navigation menu. Designed to make academic documents including course syllabi and scholarly articles accessible on small screens.
- [gh-themes-magick](https://github.com/tajmone/gh-themes-magick): GitHub Pages’ themes converted to pandoc html5 templates; template vars exposed via single `configuration.yaml` to customize website and html metadata.
- [GitHub Pandoc HTML5 Template](https://github.com/tajmone/pandoc-goodies/tree/master/templates/html5/github): built from GitHub's original CSS to mimick the look and feel of GitHub documents. \[[Live Demo](http://htmlpreview.github.io/?https://github.com/tajmone/pandoc-goodies/blob/master/templates/html5/github/GitHub-Template-Preview.html)\]
- [Easy Pandoc Templates](https://github.com/ryangrose/easy-pandoc-templates): a collection of portable pandoc templates without dependencies — bootstrap, elegant bootstrap, and UIKit, bundled with useful helpers and demos. Maintained by Ryan Grose, GPL-3.0 License.

# Microsoft Word
- [numbered-sections](https://github.com/krissen/pandoc-extra/blob/master/templates/numbered-sections.docx): Docx-template with numbered sections for heading levels one (1.) to four (1.1.1.1).

# Notable forks of [pandoc-templates](/jgm/pandoc-templates), for `~/.pandoc/templates`

- [claes / pandoc-templates](/claes/pandoc-templates) is a good illustration of a template with many user-defined variables, e.g for margins, language, papersize, orientation, etc. Because this makes command line specification a bit unwieldy, he includes [simple shell script](/claes/pandoc-templates/blob/master/md2pdf) with unused options commented out to instruct markdown2pdf how to fill in all the blanks.
- [dsanson / pandoc-templates](/dsanson/pandoc-templates)
- [kjhealy / pandoc-templates](/kjhealy/pandoc-templates). Note that it calls a [special .sty file](https://github.com/kjhealy/latex-custom-kjh/tree/master/needs-memoir) from [kjhealy / latex-custom-kjh](/kjhealy/latex-custom-kjh).
- [smile / pandoc-templates](/timheil/pandoc-templates), including a German-language article template.
- [wcaleb / pandoc-templates](/wcaleb/pandoc-templates)
